/*
    PubTrans - Scheduling public transportation on PalmPilot handheld

    Copyright (C) 1999 Andreas Kretzer

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    e-mail: andi@kretzer-berlin.de
*/

#ifndef __PT_PROTO_H__
#define __PT_PROTO_H__

/*
 * Prototypes for all C-Files
 */

/* pt_str.c */
char * tmpstr(int len);
char * uncompress_string (unsigned char *s);
char * compress_string (unsigned char *s);
char *save_string(char *s, int len);

/* pt_db.c */
struct line *get_lines_by_station(ULong station);
wlist *get_stations(wlist *w);
void free_timetables (struct line *l);
void free_lines(struct line *l);
struct line *get_timetables(ULong station, short *maxcol);
void table_setvals(struct line *l, UInt time, int column, TablePtr table);
short calc_ruler (struct line *l, int column, ULong station, UInt day);
Boolean OpenDatabase (void);
void CloseDatabase (void);

/* pt_util.c */
char *offset2time (unsigned short time);
void StringPrintTime (char *buf, unsigned short time);

#endif	/* !__PT_PROTO_H__ */
