/*
    PubTrans - Scheduling public transportation on PalmPilot handheld

    Copyright (C) 1999 Andreas Kretzer

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    e-mail: andi@kretzer-berlin.de
*/

#include <Common.h>
#include <System/SysAll.h>
#include <UI/UIAll.h>
#include "pubtrans.h"

char *offset2time (unsigned short time)
{
   char *s;

   s = tmpstr(timeStringLength);
   if (!s) return NULL;
   StringPrintTime (s, time);
   return s;
}

/*
 * This is usefule for all callbacks where we cannot use the tmpstr()
 * function.
 */
void StringPrintTime (char *buf, unsigned short time)
{
   Byte hr, min, sec;

   if (!buf) return;
   *buf = 0;

   sec = 0;
   if (time & 1) sec = 30;
   time /= 2;		// now in minutes
   time %= 1440;	// 1440 minutes per day
   hr = time / 60;
   min = time % 60;
   TimeToAscii(hr, min, tfColon24h, buf);
   if (sec) StrCat (buf, "'");
}
