/*
    PubTrans - Scheduling public transportation on PalmPilot handheld

    Copyright (C) 1999 Andreas Kretzer

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    e-mail: andi@kretzer-berlin.de
*/

#ifndef __PUBTRANS_H__
#define __PUBTRANS_H__

#include "pt_uiobj.h"
#include "wlists.h"
#include "pt_proto.h"

/*
 * to keep the amount of global variables smaller
 */
struct global_db {
   DmOpenRef	StationsDB;
   DmOpenRef	LinesDB;
   DmOpenRef	TlinesDB;
   DmOpenRef	TourDB;
};

/*
 * All times are measured in 1/2 minutes (30 seconds). Start times are an
 * offset from 0:00, all times in the timeline are offsets to this start
 * time. With this unsigned int a there line can take up to 546 hours
 * (almost 23 days).
 */

#if 0
struct tline {	// the timeline of various tours
   unsigned short	station_id;	// the referenced station
   unsigned short	time_off;	// departure time as offset to start_time
   unsigned short	stay_time;	// Time to wait on a stop (or 0 for just a short stop)
};

struct tour {	// the times a tour begins on one of the timelines
   unsigned short	line_id;	// the referenced line
   unsigned short	service_days;	// Bitarray of serviced days
   unsigned short	start_time;	// Time to start on first array item
   unsigned short	tline_id;	// the referenced tline
};
#endif

struct depart {
   struct depart       *next;
   UInt			time;
};

struct line {
   struct line	       *next;
   struct depart       *dp;
   char		       *name;
   UInt			idx;
};

#define MAXTIMES	200 // size of global array for time-scrolling

#endif	/* !__PUBTRANS_H__ */
